Subject: bug#16854: 24.3.50; ert-run-tests-interactively t selector not working

From: Helmut Eller <[email-masked]>
Date: Mon, 24 Feb 2014 15:00:39 +0100

On Mon, Feb 24 2014, Nicolas Richard wrote:

> Helmut Eller <[email-masked]> writes:
>> I think now that using read instead of intern should work fine: normal
>> test names can be entered with tab completion support and regexps by
>> inserting quotes as needed.  The only remaining annoyance is that spaces
>> must be inserted with C-q SPC.
>
> Quoting regexps in a minibuffer prompt is somewhat unusual, in
> particular wrt backslashes.

The M-x ert command wants an s-expression as argument and that's not
unusual, e.g. M-: also takes sexps.  The syntax is just the same as for
regular Lisp code.  What is unusual about M-x ert is that candidates for
symbol completion aren't names of functions but names of tests.

Helmut